Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-23361

Insert duplicate error in upgrade 2010033102.10 in one simple site

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0
    • Component/s: Installation
    • Labels:
      None
    • Database:
      Any
    • Difficulty:
      Easy
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE

      Description

      Hi,

      I was upgrading one PG site (one site I really don't use to much, so it's basically empty). And ended with duplicate-key error in line 3065 of lib/db/upgrade.php

      Looking at code, it seems that you don't look for dupes in line 3054 and simply add one new contextlevel to that role. Just guessing if one in_array() check will be enough to avoid the dupes problem.

      Ciao

        Attachments

          Activity

            People

            Assignee:
            skodak Petr Skoda
            Reporter:
            stronk7 Eloy Lafuente (stronk7)
            Tester:
            Nobody
            Participants:
            Component watchers:
            Matteo Scaramuccia, Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              24/Nov/10